Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TPlsqlCreatePackage

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.TBlockSqlStatement
                  gudusoft.gsqlparser.stmt.TStoredProcedureSqlStatement
                      gudusoft.gsqlparser.stmt.oracle.TOracleStoredProcedureSqlStatement
                          gudusoft.gsqlparser.stmt.oracle.TPlsqlCreatePackage

All Implemented Interfaces:
  Visitable

    public class TPlsqlCreatePackage

extends TOracleStoredProcedureSqlStatement

The CREATE PACKAGE statement creates or replaces the specification for a stored package, which is an encapsulated collection of related procedures, functions, and other program objects stored together in the database. The package specification declares these objects. The package body, specified subsequently, defines these objects.

See Also:
  `TStoredProcedureSqlStatement.declareStatements`, `TBlockSqlStatement.bodyStatements`

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TPlsqlCreatePackage()`
`TPlsqlCreatePackage(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`int` | `getKind()` This class represents package specification or create package body.
`TObjectName` | `getPackageName()` Name of a package stored in the database.
`TObjectName` | `getStoredProcedureName()`

Methods inherited from class gudusoft.gsqlparser.stmt.oracle.TOracleStoredProcedureSqlStatement
`getExceptionClause, isWrapped, setExceptionClause, setWrapped`

Methods inherited from class gudusoft.gsqlparser.stmt.TStoredProcedureSqlStatement
`getDeclareStatements, getParameterDeclarations, setParameterDeclarations`

Methods inherited from class gudusoft.gsqlparser.stmt.TBlockSqlStatement
`getBodyStatements`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getLabelName, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setLabelName, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPlsqlCreatePackage

    public TPlsqlCreatePackage()

### TPlsqlCreatePackage

    public TPlsqlCreatePackage(EDbVendor dbvendor)

Method Detail

### getStoredProcedureName

    public TObjectName getStoredProcedureName()

  Overrides:
    `getStoredProcedureName` in class `TStoredProcedureSqlStatement`

### getKind

    public int getKind()

  This class represents package specification or create package body.

  Returns:

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TOracleStoredProcedureSqlStatement`

### getPackageName

    public TObjectName getPackageName()

  Name of a package stored in the database.

  Returns:

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD